<?php header('Content-Type: text/xml, charset=utf-8');
echo"<?xml version='1.0' encoding='UTF-8'?>\n";?>
<osm version='0.6' generator='ServiceLocatorPHP'>

<?php

require_once('dbutils.php');
require_once('locationfuncs.php');
require_once('externaldbfuncs.php');
require_once('config.php');

$masterdb = new GenericSqliteTable("var/master.db","master");
$ids = $masterdb->GetKeys();
$externaldb = new GenericSqliteTable("var/externaldb.db","external");
$osmnode = -1;
$nameCol = GetConfigOption('nameCol');

foreach($ids as $id)
{
	$bestOsm = GetBestOsmLink($id);
	if($bestOsm[0]!=Null) continue; //Already in OSM
	$loc = GetBestLocation($id);
	if($loc[0]==Null) continue; //No idea where to begin looking
	if($loc[1]==1) continue; //Position in this database is only rough. Ignore it.
	$record = $masterdb[$id];

	//echo $id." ".($bestOsm[0]==Null)."<br\>\n";
	$node = "<node id='".$osmnode."' lat='".$loc[0][0]."' lon='".$loc[0][1]."'>\n";
	$node .= "  <tag k='name' v=\"".htmlspecialchars($record[$nameCol])."\" />\n";
	$node .= "  <tag k='ref' v=\"".htmlspecialchars($id)."\" />\n";
	$node .= "  <tag k='source' v=\"".htmlspecialchars($loc['source'])."\" />\n";
	$node .= "  <tag k='source:license' v=\"".htmlspecialchars($loc['license'])."\" />\n";
	$node .= "  <tag k='source:nickname' v=\"".htmlspecialchars($loc['nickname'])."\" />\n";
	$node .= "</node>\n";
	$osmnode -- ;


	echo $node;

}



$footerDone = 1;
?>
</osm>

